@mixin breakpoint-widths(
  $widths: (0,25,50,75,100)
){
  @each $size in $widths{
    ._w-#{$size}{
      width: #{$size * 1%};
    }
  }
  ._w-auto {
    width: auto;
  }
  @each $point-name, $point in $breakpoints {
    @include media($point) {
      $point-alias: $point-name + $delimiter + 'w';
      @each $size in $widths{
        ._#{$point-alias}-#{$size}{
          width: #{$size * 1%};
        }
      }
      ._#{$point-alias}-auto {
        width: auto;
      }
    }
  }
}

@include breakpoint-widths();
